# Created by pyp2rpm-3.3.6
%global pypi_name invoke
%global python3_pkgversion 38
%global python3_other_pkgversion 3

# Our EL8 buildroots default to Python 3.8, but let's also build 3.6, just to be safe
# to make dnf happy
%if 0%{?rhel} == 8
%bcond_without python36
%else
%bcond_with python36
%endif

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        4%{?dist}
Summary:        Pythonic task execution

License:        BSD
URL:            http://docs.pyinvoke.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
To find out what's new in this version of Invoke, please see the changelog < to
Invoke! Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (make/rake, Fabric 1.x, etc) to arrive
at a powerful & clean feature set.For a high level introduction, including...

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-setuptools
%description -n python%{python3_pkgversion}-%{pypi_name}
To find out what's new in this version of Invoke, please see the changelog < to
Invoke! Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (make/rake, Fabric 1.x, etc) to arrive
at a powerful & clean feature set.For a high level introduction, including...

%if %{with python36}
%package -n     python%{python3_other_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}

BuildRequires:  python36-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
Requires:       python%{python3_other_pkgversion}-setuptools

%description -n python%{python3_other_pkgversion}-%{pypi_name}
To find out what's new in this version of Invoke, please see the changelog < to
Invoke! Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (make/rake, Fabric 1.x, etc) to arrive
at a powerful & clean feature set.For a high level introduction, including...
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
%if %{with python36}
/usr/bin/python3.6 setup.py build '--executable=/usr/bin/python3.6 -s'
%endif

%install
%py3_install
mv %{buildroot}/usr/bin/invoke %{buildroot}/usr/bin/invoke-py38
mv %{buildroot}/usr/bin/inv %{buildroot}/usr/bin/inv-py38
%if %{with python36}
/usr/bin/python3.6 setup.py install --skip-build --root %{buildroot}
mv %{buildroot}/usr/bin/invoke %{buildroot}/usr/bin/invoke-py36
mv %{buildroot}/usr/bin/inv %{buildroot}/usr/bin/inv-py36
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/inv-py38
%{_bindir}/invoke-py38
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if %{with python36}
%files -n python%{python3_other_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/inv-py36
%{_bindir}/invoke-py36
%{_prefix}/lib/python3.6/site-packages/%{pypi_name}
%{_prefix}/lib/python3.6/site-packages/%{pypi_name}-%{version}-py*.egg-info
%endif

%posttrans -n python%{python3_pkgversion}-%{pypi_name}
ln -sf %{_bindir}/invoke-py38 %{_bindir}/invoke
ln -sf %{_bindir}/inv-py38 %{_bindir}/inv

%postun -n python%{python3_pkgversion}-%{pypi_name}
rm -f %{_bindir}/invoke %{_bindir}/inv

%if %{with python36}
%posttrans -n python%{python3_other_pkgversion}-%{pypi_name}
ln -sf %{_bindir}/invoke-py36 %{_bindir}/invoke
ln -sf %{_bindir}/inv-py36 %{_bindir}/inv

%postun -n python%{python3_other_pkgversion}-%{pypi_name}
rm -f %{_bindir}/invoke %{_bindir}/inv
%endif

%changelog
* Wed Apr  6 2022 Sebastian Skracic <sskracic@redhat.com> - 1.5.0-4
- Ensuring python scripts for 3.6 and 3.8 use their respective interpreters

* Tue Apr  5 2022 Sebastian Skracic <sskracic@redhat.com> - 1.5.0-3
- Now building RPMs for both Python 3.6 and 3.8

* Tue May 25 2021 Sebastian Skracic <sskracic@redhat.com> - 1.5.0-1
- Initial package.
